#!/usr/bin/perl

my $force = 0;
if ($ARGV[0] eq "-f")
{
    $force = 1;
}

my $wcalddir = "/usr/local/bin";
print "Wcal uninstaller 2.1\n";
print "Please select the location of your wcald file\n";
print "($wcalddir) : ";
my $dir = <STDIN>;
chomp($dir);
if ($dir)
{
    $wcalddir = $dir;
}

if (!-e "$wcalddir/wcald")
{
    print "\n*** No $wcalddir/wcald file! ***\n";
    print "Uninstall canceled\n";
    exit 1;
}

my $wcaldvers;
my $wcaldconfdir;
my $wcaldhttpdir;
my $wcalddbdir;
my $line;
if (!open(WCALD, "$wcalddir/wcald"))
{
    print "\n*** Unable to open $wcalddir/wcald file! ***\n";
    print "Uninstall canceled\n";
    exit 2;
}

while ($line = <WCALD>)
{
    if ($line =~ /^\#\s*Wcal\s*([\d\.]*)\s*/)
    {
	$wcaldvers = $1;
	print "wcal ver : $wcaldvers\n";
    }
    elsif ($line =~ /^\$::CONF_FILE\s*=\s*\'([^\']*)\/wcal.conf/)
    {
	$wcaldconfdir = $1;
	print "conf dir : $wcaldconfdir\n";
    }
    elsif ($line =~ /^\$::DIRECTORY\s*=\s*\'([^\']*)/)
    {
	$wcaldhttpdir = $1;
	print "http dir : $wcaldhttpdir\n";
    }
    elsif ($line =~ /^\$::DB_DIR\s*=\s*\'([^\']*)/)
    {
	$wcalddbdir = $1;
	print "data dir : $wcalddbdir\n";
    }
}
close(WCALD);

print "Removing database diretory $wcalddbdir\n";
system("\\rm -rf $wcalddbdir");

print "Removing binary files $wcalddir/wcald and $wcalddir/../sbin/checkalarm\n";
unlink("$wcalddir/wcald");
unlink("$wcalddir/../sbin/checkalarm");

print "Removing conf file $wcaldconfdir/wcal.conf\n";
unlink("$wcaldconfdir/wcal.conf");

print "Removing msg file $wcaldconfdir/wcal.msg\n";
unlink("$wcaldconfdir/wcal.msg");

print "Removing def file $wcaldconfdir/wcal.def\n";
unlink("$wcaldconfdir/wcal.def");

print "Removing sdays file $wcaldconfdir/wcal.sdays\n";
unlink("$wcaldconfdir/wcal.sdays");

print "Removing html diretory $wcaldhttpdir\n";
system("\\rm -rf $wcaldhttpdir");

print ("\nWcal successfully uninstalled\n");

